Bug 1937496 - Metrics viewer in OCP Console is missing date in a timestamp for selected datapoint
Summary: Metrics viewer in OCP Console is missing date in a timestamp for selected dat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Andrew Pickering
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-10 18:39 UTC by Martin Bukatovic
Modified: 2021-07-27 22:53 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:52:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot #1: timestamp without a date in Metrics viewer (416.70 KB, image/png)
2021-03-10 18:39 UTC, Martin Bukatovic
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8420 0 None open Bug 1937496: Query Browser: Add timestamp date to tooltips 2021-03-19 09:21:10 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:53:05 UTC

Description Martin Bukatovic 2021-03-10 18:39:56 UTC
Created attachment 1762408 [details]
screenshot #1: timestamp without a date in Metrics viewer

Description of problem
======================

Metrics viewer in OCP Console doesn't display date for data points plotted in
it's chart. Reporting date makes sense no matter which time range is selected,
and is esp. useful for custom time ranges or time ranges which covers multiple
days.

Version-Release number of selected component
============================================

OCP 4.7.0-0.nightly-2021-03-06-183610

How reproducible
================

2/2

Steps to Reproduce
==================

1. Install OCP cluster 
2. In OCP Console, navigate to Monitoring -> Metrics page
3. Select time range of 2 days, and enter some prometheus query,
   eg. node_procs_running
4. Move cursor over the plotted data points and observe small black frame
   with time stamp and values inside

Actual results
==============

The black frame with values contains just a time, but not a date. See
screenshot #1 for an example.

Expected results
================

The time stamp in the frame should include a date in iso format (eg. as used
in `date --iso-8601=date` command), so that both date and time are provided.

Comment 3 hongyan li 2021-03-25 00:34:24 UTC
verified in payload 4.8.0-0.nightly-2021-03-24-183145
Tool tips contains  date and time now

Comment 6 errata-xmlrpc 2021-07-27 22:52:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.